=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::AddressesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'AddressesApi' do
  before do
    # run before each test
    @instance = Shippo::AddressesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AddressesApi' do
    it 'should create an instance of AddressesApi' do
      expect(@instance).to be_instance_of(Shippo::AddressesApi)
    end
  end

  # unit tests for create_address
  # Create a new address
  # Creates a new address object
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [AddressRequestBody] :body Address details.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Address]
  describe 'create_address test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_address
  # Retrieve an address
  # Retrieve an existing address by object id for the merchant
  # @param address_id description: Object ID of the address
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Address]
  describe 'get_address test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_address
  # List all addresses
  # List all addresses associated with the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedAddressResponse]
  describe 'list_address test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for validate_address
  # Validate an address
  # Validate an existing address by object id for the merchant
  # @param address_id description: Object ID of the address
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Address]
  describe 'validate_address test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
